Package org.eclipse.microprofile.fault.tolerance.tck.config

# Class FallbackConfigBean

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.config.FallbackConfigBean

@Dependent public class FallbackConfigBean extends Object
Bean with methods to help test configuration of parameters of `Fallback`

## Constructor Summary

Constructors
Constructor
Description
`FallbackConfigBean()`

## Method Summary

Modifier and Type
Method
Description
`String`
`anotherFallback()`
`String`
`applyOnMethod()`
Throws TestConfigExceptionA unless Fallback.applyOn is configured to cause it to fall back
`String`
`fallbackHandlerConfig()`
`String`
`fallbackMethodConfig()`
`String`
`skipOnMethod()`
TestConfigExceptionA will cause fallback to run, unless skipOn is configured
`String`
`theFallback()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FallbackConfigBean

public FallbackConfigBean()

## Method Details

### applyOnMethod

@Fallback(fallbackMethod="theFallback", applyOn=TestConfigExceptionB.class) public String applyOnMethod()
Throws TestConfigExceptionA unless Fallback.applyOn is configured to cause it to fall back

### skipOnMethod

@Fallback(fallbackMethod="theFallback") public String skipOnMethod()
TestConfigExceptionA will cause fallback to run, unless skipOn is configured

### fallbackMethodConfig

@Fallback(fallbackMethod="theFallback") public String fallbackMethodConfig()

### fallbackHandlerConfig

@Fallback(FallbackHandlerA.class) public String fallbackHandlerConfig()

### theFallback

public String theFallback()

### anotherFallback

public String anotherFallback()